using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

public class ElementalMaterials : Singleton<ElementalMaterials>
{
    public Material soulMaterial;
    public Material electricMaterial;
    public Material plasmaMaterial;
    public Material fireMaterial;
    public Material mercuryMaterial;
    public Material lifeMaterial;
    public Material voidMaterial;

    public Material GetMaterialForElement(Element element)
    {
        if (element == Element.Soul)
        {
            return soulMaterial;
        }
        else if (element == Element.Electricity)
        {
            return electricMaterial;
        }
        else if (element == Element.Plasma)
        {
            return plasmaMaterial;
        }
        else if (element == Element.Fire)
        {
            return fireMaterial;
        }
        else if (element == Element.Mercury)
        {
            return mercuryMaterial;
        }
        else if (element == Element.Life)
        {
            return lifeMaterial;
        }
        else if(element == Element.Void)
        {
            return voidMaterial;
        }
        return null;
    }
}

